Page MenuHomePhabricator

Review and enhance the debug logging for SessionManager
Closed, ResolvedPublic

Description

Review the debug logging in the new SessionManager to ensure that it has proper levels and enough data to track down problems by correlating with other log sources in the event that problems are found.

Details

Related Gerrit Patches:
mediawiki/core : masterUpdate session log messages

Event Timeline

bd808 claimed this task.
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added subscribers: bd808, Anomie, Tgr.
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 1 2016, 10:10 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Currently 62 logger->* calls includes/session/*:

$ for l in debug info warning error; do echo $l; git grep "logger->$l" |awk '{print $1}'|sort|uniq -c; done
debug
   1 BotPasswordSessionProvider.php:
   2 CookieSessionProvider.php:
   2 ImmutableSessionProviderWithCookie.php:
  18 SessionBackend.php:
   8 SessionManager.php:
info
   4 BotPasswordSessionProvider.php:
   2 SessionManager.php:
warning
   6 PHPSessionHandler.php:
  15 SessionManager.php:
error
   4 SessionManager.php:

Change 268595 had a related patch set uploaded (by BryanDavis):
Update session log messages

https://gerrit.wikimedia.org/r/268595

After my tweaks in https://gerrit.wikimedia.org/r/268595:

$ for l in debug info warning error; do echo $l; git grep "logger->$l" |awk '{print $1}'|sort|uniq -c; done
debug
   1 BotPasswordSessionProvider.php:
   2 CookieSessionProvider.php:
   2 ImmutableSessionProviderWithCookie.php:
  18 SessionBackend.php:
   9 SessionManager.php:
info
   4 BotPasswordSessionProvider.php:
   1 SessionManager.php:
warning
   3 CookieSessionProvider.php:
   6 PHPSessionHandler.php:
  15 SessionManager.php:
error
   4 SessionManager.php:

Change 268595 merged by jenkins-bot:
Update session log messages

https://gerrit.wikimedia.org/r/268595

bd808 closed this task as Resolved.Feb 8 2016, 11:57 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Feb 21 2016, 8:52 PM